happstack-server-7.1.7: Web related tools and services.

Safe Haskell | None

Happstack.Server.Internal.Socket

Synopsis

- acceptLite :: Socket -> IO (Socket, HostName, PortNumber)
- sockAddrToPeer :: SockAddr -> (HostName, PortNumber)

# Documentation

acceptLite :: Socket -> IO (Socket, HostName, PortNumber)

alternative implementation of accept to work around EAI_AGAIN errors

sockAddrToPeer :: SockAddr -> (HostName, PortNumber)